PHP Agent 7.0.0.186

Released on: 
Tuesday, February 21, 2017 - 09:35

New Relic PHP Agent Release Notes

End of Life Notices

  • The New Relic PHP agent no longer supports PHP 5.2. New Relic highly encourages upgrading to a supported version of PHP - 5.6 or higher. If you would like to continue running the New Relic PHP agent with PHP 5.2, we recommend using version 6.9 of the agent, however please note that we can only offer limited support in this case.

New Features

  • Automatic transaction naming for Magento 2 has been improved. Previously, only requests that were handled by Magento's normal routing were automatically named, which resulted in request types that utilized Magento's interceptor/plugin functionality being named as unknown. This primarily affected users of the REST or SOAP web services.

    REST and SOAP requests will now be named in the Webapi/Rest and Webapi/Soap namespaces, respectively, and will be named according to the service class and method that handle the request.

    Third party modules that add an interceptor on Magento\Framework\App\FrontControllerInterface to override the dispatch() method will result in transaction names that are based on the interceptor class name. New Relic recommends using the newrelic_name_transaction() API function from within the module to name the transaction if you require more precision.